Page MenuHomePhabricator

Add entity usage in action=edit in client
Closed, ResolvedPublic

Description

On the edit page, below the main edit box, there is a (collapsed) list of templates and modules used on the page. Any wikibase entities used on the page should be listed there as well.

Implementation note: the relevant point to add this information seems to be EditPage::makeTemplatesOnThisPageList. It may be necessary to add a hook point there. However, Scribunto already adds information here, so find out how they do it first.

Details

Related Gerrit Patches:

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Ladsgroup created this task.Sep 7 2016, 2:08 PM
Ladsgroup moved this task from Incoming to Later on the User-Ladsgroup board.Sep 16 2016, 6:27 PM
Ladsgroup added a project: WMDE-TLA-Team.
Ladsgroup moved this task from proposed to accepted on the WMDE-TLA-Team board.Sep 27 2016, 10:25 AM
Ladsgroup moved this task from Later to In progress on the User-Ladsgroup board.
daniel updated the task description. (Show Details)Sep 27 2016, 10:28 AM
daniel moved this task from accepted to done on the WMDE-TLA-Team board.Sep 27 2016, 3:32 PM
daniel moved this task from done to doing on the WMDE-TLA-Team board.Sep 27 2016, 3:34 PM

Change 313629 had a related patch set uploaded (by Ladsgroup):
[WIP] Add EditActionHookHandler in clinet to inject entity usage data

https://gerrit.wikimedia.org/r/313629

Ladsgroup moved this task from doing to needs review on the WMDE-TLA-Team board.
Ladsgroup moved this task from needs review to done on the WMDE-TLA-Team board.

Change 313629 merged by jenkins-bot:
Add EditActionHookHandler in client to inject entity usage data

https://gerrit.wikimedia.org/r/313629

hoo closed this task as Resolved.Oct 13 2016, 1:33 AM
hoo removed a project: Patch-For-Review.